> For the complete documentation index, see [llms.txt](https://docs.sitebot.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sitebot.com/api/ssl-certificate.md).

# SSL Certificate

<mark style="color:blue;">`GET`</mark> `https://api.sitebot.com/api/v1/sslcert/lookup`

#### Query Parameters

| Name                                   | Type    | Description     |
| -------------------------------------- | ------- | --------------- |
| host<mark style="color:red;">\*</mark> | String  |                 |
| port                                   | Integer | Defaults to 443 |

{% tabs %}
{% tab title="200: OK " %}

{% endtab %}
{% endtabs %}

## Example Success Response

```
{
   "sslcert":{
      "host":"www.sitebot.com",
      "port":443,
      "status":"success",
      "version":3,
      "not_before":{
         "date_time":"2023-01-31 00:00",
         "ms":1675123200000
      },
      "not_after":{
         "date_time":"2024-02-29 23:59",
         "ms":1709251199000
      },
      "issuer_dn":{
         "C":"US",
         "CN":"Amazon RSA 2048 M01",
         "O":"Amazon"
      },
      "subject_dn":{
         "CN":"*.sitebot.com"
      },
      "subject_alt_names":[
         "*.sitebot.com",
         "sitebot.com"
      ]
   }
}
```

## Example Failed Response

```
{
   "sslcert":{
      "host":"www.sitebot.com",
      "port":80,
      "status":"fail",
      "message":"Failed"
   }
}
```
